package com.realnet.app-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.app-b.Entity.Todoapp;
import com.realnet.app-b.Services.TodoappService ;








@RequestMapping(value = "/Todoapp")
 @CrossOrigin("*") 
@RestController
public class TodoappController {
	@Autowired
	private TodoappService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Todoapp")
		  public Todoapp Savedata(@RequestBody Todoapp data) {
		Todoapp save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Todoapp/{id}")
	public  Todoapp update(@RequestBody Todoapp data,@PathVariable Integer id ) {
		Todoapp update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Todoapp/getall/page")
	public Page<Todoapp> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Todoapp> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Todoapp")
	public List<Todoapp> getdetails() {
		 List<Todoapp> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Todoapp")
	public List<Todoapp> getallwioutsec() {
		 List<Todoapp> get = Service.getdetails();		
		return get;
}
@GetMapping("/Todoapp/{id}")
	public  Todoapp  getdetailsbyId(@PathVariable Integer id ) {
		Todoapp  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Todoapp/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}